body {
    background-color: #080e37;
}
.body-shape {
    position: fixed;
    top: -50%;
    left: 0;
    z-index: -1;
}
.the-bingo {
    position: relative;
    height: 300px;
}
.bingo-preview-tube {
    background-image: url('./tube.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 250px;
    height: 320px;
    width: 236px;
    position: absolute;
    left: 20px;
    top: 0px;
    z-index: 99;
}
.bingo-preview-tube-balls {
    background-image: url('./ball_preview.png');
    background-position: 0px;
    transform: rotate(90deg);
    background-size: 286px;
    height: 56px;
    width: 230px;
    position: absolute;
    left: -64px;
    top: 91px;
}
.bingo-preview-tube-bottom-balls {
    width: 221px;
    height: 57px;
    position: absolute;
    top: 242px;
    left: 20px;
    z-index: 2;
}
.bingo-preview-tube-bottom-balls .item {
    background-image: url('./ball.png');
    background-repeat: no-repeat;
    background-size: 290px;
    background-position-y: 1px;
    max-width: 56px;
}
.bingo-preview-tube-bottom-ball-b {
    background-position: 0px 0px;
}
.bingo-preview-tube-bottom-ball-i {
    background-position: -59px 0px;
}
.bingo-preview-tube-bottom-ball-n {
    background-position: -118px 0px;
}
.bingo-preview-tube-bottom-ball-g {
    background-position: -177px 0px;
}
.bingo-preview-tube-bottom-ball-o {
    background-position: -236px 0px;
}
.bingo-preview-container {
    height: 130px;
    position: absolute;
    top: 90px;
    width: 130px;
    left: 99px;
    border-radius: 50%;
    display: inline-block;
    background-color: #fff;
    max-width: 130px;
}
.bingo-preview-container-ball {
    background-image: url('./ball_preview.png');
    background-repeat: no-repeat;
    background-size: 650px; 
}
.bingo-preview-ball {
    background-image: url('./ball_preview.png');
    background-repeat: no-repeat;
    background-size: 650px;
    height: 160px;
    width: 130px;
    position: relative;
    top: -15px;
    left: -12px;
}
.bingo-preview-container-ball-b {
    background-position: 0px 1px;
}
.bingo-preview-container-ball-i {
    background-position: -130px 1px;
}
.bingo-preview-container-ball-n {
    background-position: -260px 1px;
}
.bingo-preview-container-ball-g {
    background-position: -390px 1px;
}
.bingo-preview-container-ball-o {
    background-position: -520px 1px;
}
.bingo-preview-ball-b {
    background-position: 0px 16px;
}
.bingo-preview-ball-i {
    background-position: -130px 16px;
}
.bingo-preview-ball-n {
    background-position: -260px 16px;
}
.bingo-preview-ball-g {
    background-position: -390px 16px;
}
.bingo-preview-ball-o {
    background-position: -520px 16px;
}
.bingo-preview-ball-animation {
    /* -webkit-animation:linear infinite alternate; */
    -webkit-animation:linear;
    -webkit-animation-name: runBall;
    -webkit-animation-duration: 2s;
}
.bingo-preview-extract {
    background-image: url('./number_extract_bg.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 170px;
    height: 160px;
    width: 160px;
    position: absolute;
    top: 80px;
    left: 85px;
}

.bingo-panel-number {
    color:#fff;
    text-align: center;
    font-size: x-large;
    font-weight: bold;
    max-width: 740px;
    background: linear-gradient(red, white);
}
.bingo-panel-number:after {
    border: 1px solid #fff;
}
.bingo-panel-number .item {
    height: 50px;
    max-height: 50px;
    width: 50px;
    max-width: 50px;
    border: 1px solid #fff;
    line-height:50px
}

.bingo-panel-number .odd {
    background: linear-gradient(white, red);
}

.ball-active {
    color: #000;
    background: #ff0052;
    position: relative;
}
.ball-active:after {
    content: "";
    position: absolute;
    height: calc(100% - 2px);
    top: 1px;
    left: 1px;
    width:calc(100% - 2px);
    border: 1px solid #fff;
}

.bingo-buttons-container-bottom {
    position: sticky;
    bottom: 10px;
    text-align: center;
    font-size: x-large;
    font-weight: bold;
    color: #fff;
    line-height: 72px;
}
.bingo-total-prize{
    background-image: url('./plus_display.png');
    width: 220px;
    height: 82px;
}
.bingo-total-users,.bingo-total-cards {
    background-image: url('./display_small.png');
    width: 124px;
    height: 82px;
}
.bingo-buy-card {
    background-image: url('./but_gui.png');
    display: block;
    width: 220px;
    height: 82px;
}

/*
 * ANIMATIONS
 */
 @-webkit-keyframes runBall {
    0% {
        left: -147px;
        transform: translateX(0);
    }
    100% {
        left: -12px;
        transform: translateX(184);
    }
 }